#!/opt/bats/libexec/bats-core/ bats

profile_script="./workflow/scripts/plot_profile.sh"

@test "Test deeptools present" {
  source ${profile_script}
  run check_tools
}

@test "Test deeptools computeMatrix" {
  source ${profile_script}
  run compute_matrix test_data/ENCSR238SGC_pooled.fc_signal.bw /project/shared/bicf_workflow_ref/mouse/GRCm38/gencode.vM20.annotation.gtf
  FILE=computeMatrix.gz
  if [[ -s "$FILE" ]]; then
      echo "$FILE exists and not empty"
  fi
}

@test "Test deeptools plotProfile" {
  source ${profile_script}
  run plot_profile computeMatrix.gz
  FILE=plotProfile.png
  if [[ -s "$FILE" ]]; then
      echo "$FILE exists and not empty"
  fi
}
